Bug 186795 - [PATCH] devel/cppcheck: fix manpage installation
Summary: [PATCH] devel/cppcheck: fix manpage installation
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-15 15:30 UTC by Dmitry Marakasov
Modified: 2014-03-05 05:12 UTC (History)
1 user (show)

See Also:


Attachments
cppcheck-1.63.patch (1.37 KB, patch)
2014-02-15 15:30 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2014-02-15 15:30:01 UTC
- Add MANPAGES option
- Make manpage installation dependent on this option, not DOCS
- Fix plist in case of manpages disabled

Port maintainer (bf@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_11 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-02-15 15:30:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-03-03 16:36:45 UTC
Author: bf
Date: Mon Mar  3 16:36:37 2014
New Revision: 346928
URL: http://svnweb.freebsd.org/changeset/ports/346928
QAT: https://qat.redports.org/buildarchive/r346928/

Log:
  Correct the plist for the case when the manpage isn't built, and
  use a more specific option name
  
  PR:		186588, 186795
  Submitted by:	amdmi3, K. Zheng

Modified:
  head/devel/cppcheck/Makefile

Modified: head/devel/cppcheck/Makefile
==============================================================================
--- head/devel/cppcheck/Makefile	Mon Mar  3 16:23:58 2014	(r346927)
+++ head/devel/cppcheck/Makefile	Mon Mar  3 16:36:37 2014	(r346928)
@@ -20,13 +20,13 @@ ALL_TARGET=	cppcheck
 LDFLAGS+=	-L${LOCALBASE}/lib
 MAKE_ENV+=	TINYXML=-ltinyxml2
 
-OPTIONS_DEFINE=		MATCHCOMPILER RULES
-OPTIONS_DEFAULT=	MATCHCOMPILER RULES
+OPTIONS_DEFINE=		MATCHCOMPILER RULES MANPAGES
+OPTIONS_DEFAULT=	MATCHCOMPILER RULES MANPAGES
 
 MATCHCOMPILER_DESC=	Build-time optimizations via Python
 RULES_DESC=		User-defined rule support (requires PCRE)
 
-PLIST_FILES=	bin/cppcheck bin/cppcheck-htmlreport man/man1/cppcheck.1.gz
+PLIST_FILES=	bin/cppcheck bin/cppcheck-htmlreport
 
 .include <bsd.port.options.mk>
 
@@ -35,12 +35,14 @@ MAKE_ENV+=	CFGDIR="${DATADIR}/cfg"
 PORTDATA=	*
 .endif
 
-.if ${PORT_OPTIONS:MDOCS}
+.if ${PORT_OPTIONS:MMANPAGES}
 ALL_TARGET+=	man
 BUILD_DEPENDS+=	xsltproc:${PORTSDIR}/textproc/libxslt \
 		${LOCALBASE}/share/xsl/docbook/manpages/docbook.xsl:${PORTSDIR}/textproc/docbook-xsl
 MAKE_ENV+=	DB2MAN="${LOCALBASE}/share/xsl/docbook/manpages/docbook.xsl"
 
+PLIST_FILES+=	man/man1/cppcheck.1.gz
+
 post-install:
 	@${INSTALL_MAN} ${WRKSRC}/cppcheck.1 ${STAGEDIR}${PREFIX}/man/man1
 .endif
@@ -59,7 +61,7 @@ post-patch:
 	@${REINPLACE_CMD} \
 	-e 's|-Iexternals -Iexternals/tinyxml|-I${LOCALBASE}/include|' \
 		${WRKSRC}/Makefile
-.if ${PORT_OPTIONS:MDOCS}
+.if ${PORT_OPTIONS:MMANPAGES}
 	@${REINPLACE_CMD} -e '\|DB2MAN=|d' \
 		${WRKSRC}/Makefile
 .endif
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Brendan Fabeny freebsd_committer 2014-03-05 05:12:19 UTC
State Changed
From-To: open->closed

Committed. Thanks!